
.basket-desk__item {
    display: flex;
    flex-wrap: wrap;
    position: relative;
}

.basket-desk__header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 20px;
}

.basket-desk__item .basket-desk__item-title {
    width: 100%;
    margin-right: 21px;
}

.basket-desk__body {
    display: grid;
    grid-template-columns: 210px auto;
    grid-column-gap: 21px;
}

.basket-desk__item .basket-desk__item-img {
    grid-area: inherit;
}

.basket-desk__item-img img {
    width: 100%;
}

.basket-desk__body-info {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
}

.section__basket-desk {
    max-width: 935px;
}

.basket-desk__item .basket-desk__item-color {
    margin-left: 12px;
    margin-right: 50px;
    text-align: center;
    display: block;
    min-width: 75px;
}

.basket-desk__item .basket-desk__item-size,
.basket-desk__item .basket-desk__item-price,
.basket-desk__item .basket-desk__item-count,
.basket-desk__item .basket-desk__item-amount {
    text-align: center;
    display: block;
    margin-right: 30px;
}

.basket-desk__item .basket-desk__item-size {
    margin-right: 38px;
}

.basket-desk__item .basket-desk__item-color p,
.basket-desk__item .basket-desk__item-size p:first-child,
.basket-desk__item .basket-desk__item-price p,
.basket-desk__item .basket-desk__item-count p,
.basket-desk__item .basket-desk__item-amount p {
    margin-bottom: 30px;
    width: 100%;
}

.basket-desk__item .basket-desk__item-size p:last-child {
    margin: 0;
    line-height: 35px;
}

.basket-desk__item .basket-desk__item-color span {
    display: inline-block;
    width: 36px;
    height: 36px;
    background-position: center;
    background-size: 110%;
    border: 1px solid #EF7F1B;
    overflow: hidden;
}

/*.text-decoration-line-through {*/
/*    font-size: 16px;*/
/*    line-height: 19px;*/
/*}*/

.basket-desk__item .basket-desk__item-article {
    padding: 0;
    margin-top: -100px;
    padding-left: 290px;
}

.basket-desk__cost .store-text-color {
    margin-bottom: 8px;
}

.basket-desk__checkout {
    padding-top: 25px;
}

.basket-desk__checkout p {
    padding: 0;
    margin-bottom: 30px;
}

.basket-desk__checkout .store-text-promo {
    margin-bottom: 12px;
}

.basket-desk__checkout .newsletter__input-group {
    height: auto;
    max-width: 675px;
    margin-bottom: 8px;
}


.basket-desk__checkout .form-control {
    padding: 4px 8px 4px;
    height: auto;
    color: #262626;
}

.newsletter__input-group .input-group-btn {
    min-width: 213px;
}

.line-after-block {
    position: relative;
}

.line-after-block::after {
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    border-bottom: 4px solid #EF7F1B;
    content: '';
}

.section__basket-desk {
    max-width: 100%;
    /*padding-bottom: 55px;*/
    /*margin-bottom: 45px;*/
}

.section__basket-desk .container {
    max-width: 1100px;
}

.section__basket-desk .order-by {
    margin-bottom: 0;
    font-weight: bold;
}

.section__basket-desk .newsletter__input-group .input-group-btn button {
    font-size: 14px;
}

.basket-desk__cost {
    font-size: 20px;
}

.basket-desk__item .basket-desk__item-close{
    position: absolute;
    top:30px;
    right: 0;
}

@media (max-width: 992px) {
    .basket-desk__item .basket-desk__item-color {
        margin-left: 0;
        margin-bottom: 25px;
    }

    .basket-desk__item-price,
    .basket-desk__item-amount {
        order: 1;
    }

    .basket-desk__item .basket-desk__item-article {
        order: 2;
        width: 100%;
        margin-top: 25px;
    }
}

@media (max-width: 767px) {
    .text-decoration-line-through{
        width: 100%;
        text-align: left;
    }
    .basket-desk__item .basket-desk__item-close{
        top: 0;
    }
    .store-text-color,
    .basket-desk__item .basket-desk__item-title {
        margin-bottom: 20px;
        padding: 0;
    }

    .basket-desk__body {
        display: block;
    }

    .basket-desk__item:first-child,
    .basket-desk__item {
        position: relative;
        padding: 0 0 78px 90px;
        margin-bottom: 15px;
    }

    .basket-desk__item-img {
        position: absolute;
        left: 0;
        top: 5px;
        max-width: 78px;
    }

    .basket-desk__item .basket-desk__item-color,
    .basket-desk__item .basket-desk__item-size,
    .basket-desk__item .basket-desk__item-count {
        display: flex;
        align-items: center;
        justify-content: flex-start;
        width: 100%;
        padding: 0;
        margin-bottom: 0;
        margin-top: 14px;
    }

    .basket-desk__item .basket-desk__item-color p, .basket-desk__item .basket-desk__item-size p:first-child, .basket-desk__item .basket-desk__item-price p, .basket-desk__item .basket-desk__item-count p, .basket-desk__item .basket-desk__item-amount p {
        margin: 0;
        max-width: 85px;
        text-align: left;
    }

    .basket-desk__item .basket-desk__item-color span {
        width: 26px;
        height: 26px;

    }

    .basket-desk__item .basket-desk__item-size p:last-child {
        margin: 0;
        line-height: 35px;
        text-align: left;
        padding: 0 !important;
        font-size: 16px;
    }

    .basket-desk__item .basket-desk__item-article {
        display: none;
    }

    .basket-desk__item .basket-desk__item-price {
        position: absolute;
        left: 0;
        bottom: 10px;
        width: 50%;
        margin: 0;
        display: flex;
        min-height: 48px;
    }

    .basket-desk__item .basket-desk__item-price p,
    .basket-desk__item .basket-desk__item-amount p {
        max-width: max-content;
    }

    .basket-desk__item .basket-desk__item-amount {
        position: absolute;
        left: 50%;
        bottom: 10px;
        display: flex;
        min-height: 48px;
    }

    .basket-desk__header {
        align-items: flex-start;
    }

    .basket-desk__checkout {
        padding-top: 2px;
    }

    .basket-desk__checkout p {
        margin-bottom: 20px;
    }

    .basket-desk__checkout .store-text-promo {
        margin-bottom: 10px;
    }

    .newsletter__input-group .input-group-btn {
        min-width: 80px;
        font-size: 12px;
    }

    .section__basket-desk .newsletter__input-group .input-group-btn button {
        padding: 0;
        font-size: 12px;
    }

    .basket-desk__checkout .form-control {
        padding: 5px 8px 6px;
        font-size: 12px;
    }

    .section__basket-desk .order-by {
        margin: 30px 0 0;
        padding: 17px 5px;
    }
    .cart_back{
        width: 200px;
        height: 58px;
    }

    .section__basket-desk {
        padding-bottom: 30px;
        margin-bottom: 25px;
    }

    .basket-desk__cost {
        font-size: 14px;
    }

    .basket-desk__checkout .basket-desk__total {
        font-size: 14px;
        line-height: 17px;
    }
}
.back_checkout{
    margin-right: 15px;
}

@media (max-width: 576px) {
    .basket-desk__item .basket-desk__item-size {
        margin-right: 0;
        padding: 0;
    }
    .back_checkout-btn{
        width: 200px !important;
    }
}


.basket-block__btns{
    display: flex;
    justify-content: space-between;
}

.basket-block__btns .btn-white{
    margin-left: 0;
    background-color: transparent;
    color: #262626;
    border: 1px solid #cccccc;
}

@media (max-width: 767px) {
    .basket-block__btns{
        flex-wrap: wrap;
    }
}

.block-inputs__pre-order{
    display: flex;
    flex-wrap: wrap;
    max-width: 700px;
}


.block-inputs__pre-order input{
    max-width: 326px;
    width: 100%;
    min-width: 326px;
}


.checkout-log__tabs form input + .edit{
    margin-top: 5px;
    color: #EF7F1B;
    cursor: pointer;
    display: inline-block;
}
.checkout-log__tabs form input + .edit:hover{
    text-decoration: underline;
}

.checkout-log__tabs form label{
    margin-top: 0;
}


@media (max-width: 767px) {
    .checkout-log__tabs form input{
        max-width: 100% !important;
    }
}


/*registration desk*/
.checkout-log__tabs .form-control{
    padding: 4px 8px;
    font-size: 16px;
    line-height: 1;
    height: auto;
    color: #262626;
    border: 1px solid #C4C4C4;
    max-height: 31px;
}

.checkout-log__tabs .form-group{
    margin-bottom: 15px;
}

.checkout-log__tabs .form-group:nth-child(odd){
    margin-right: 30px;
}


.parsley-errors-list li{
    font-size: 12px;
    line-height: 15px;
    color: #E02525;
    transform: translateY(3px);
}

.parsley-error {
    border: 1px solid #E02525 !important;
}
.checkout-log__tabs .registration-password{
    justify-content: flex-start;
}


@media(max-width:767px){
    .all-page-main__title{
        padding-bottom: 8px;
        margin-bottom: 30px;
    }
    .checkout-log__tabs label{
        font-size: 14px;
        line-height: 17px;
        margin-bottom: 10px;
    }

    .checkout-log__tabs .form-group:nth-child(3){
        order: 1;
    }
    .checkout-log__tabs .form-group:nth-child(5){
        order: 2;
    }
    .checkout-log__tabs .form-group:nth-child(7){
        order: 3;
    }
    .checkout-log__tabs .form-group:nth-child(9){
        order: 4;
    }
    .checkout-log__tabs .form-group:nth-child(2){
        order: 5;
    }
    .checkout-log__tabs .form-group:nth-child(4){
        order: 6;
    }
    .checkout-log__tabs .form-group:nth-child(6){
        order: 7;
    }
    .checkout-log__tabs .form-group:nth-child(8){
        order: 8;
    }
    .checkout-log__tabs .registration-password{
        order: 9;
        padding-top: 2px;
    }
    .checkout-log__tabs  .registration-btn{
        order: 10;
        font-size: 14px;
        line-height: 17px;
        padding: 17px 20px 22px;
    }
    .checkout-log__tabs.form-group {
        margin-bottom: 18px;
    }
    .checkout-log__tabs .form-control{
        font-size: 14px;

        padding: 5px 8px 6px;

    }
    .checkout-log__tabs .form-group:nth-child(odd),
    .checkout-log__tabs .form-group{
        width: 100%;
        margin-right: 0;
    }
    .back_checkout{
        margin-right: 15px;
    }
    .back_checkout-btn{
        width: 200px !important;
    }
}


